Page MenuHomePhabricator

Don't show donors error messages when error occurs after successful payment
Closed, ResolvedPublic1 Story Points

Description

Sometimes a donor's payment succeeds, but we crash trying to send the donation message to the queue. We should never make the donor think they need to try again if we've actually charged them. Distinguish between pre- and post-payment errors and don't send donors to the fail page if we might have taken their money.

Event Timeline

Ejegg created this task.Dec 3 2015, 4:02 PM
Ejegg raised the priority of this task from to High.
Ejegg updated the task description. (Show Details)
Ejegg added a subscriber: Ejegg.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 3 2015, 4:02 PM
Ejegg added a subscriber: K4-713.Dec 3 2015, 6:20 PM

per @K4-713 in standup, let's send donors to TY page and just make noise internally

Ejegg renamed this task from Give donors better message when error occurs after successful payment to Don't show donors error messages when error occurs after successful payment.Dec 3 2015, 6:44 PM
Ejegg updated the task description. (Show Details)
Ejegg set Security to None.
Ejegg edited a custom field.

Change 256737 had a related patch set uploaded (by Ejegg):
Catch error queueing final status message

https://gerrit.wikimedia.org/r/256737

Change 256737 merged by jenkins-bot:
Catch error queueing final status message

https://gerrit.wikimedia.org/r/256737

awight moved this task from Backlog to Done on the Fundraising Sprint Zapp board.Dec 10 2015, 1:06 AM
Ejegg closed this task as Resolved.Dec 13 2015, 12:38 AM
Ejegg reopened this task as Open.Oct 25 2016, 11:21 PM

Re-opening this because we're getting a lot of session timeouts lately: T149139

For Paypal classic, AstroPay, and Adyen, the payment is already going through by the time the donor gets to the result switcher. Many of these donors with session timeouts go on to make duplicate donations.

Instead of always showing the fail page on dead sessions with those processors, we should always show the thank you page.

Change 318015 had a related patch set uploaded (by Ejegg):
WIP: show TY page on dead session if potentially paid

https://gerrit.wikimedia.org/r/318015

Ejegg claimed this task.Oct 26 2016, 5:04 PM

Change 318015 merged by jenkins-bot:
Show TY page on dead session if potentially paid

https://gerrit.wikimedia.org/r/318015

Ejegg closed this task as Resolved.Nov 9 2016, 11:05 PM